NewDash Dots are hereMini apps in Dash, with payments built inLearn more

Financial Account

List Financial Accounts

Retrieves list of financial accounts.

GET
/v1/financial-accounts

Authorization

Authorizationstringheaderrequired

Bearer HTTP authentication specified with the header Authorization: Bearer <access_token>

Headers

Monime-Space-Idstringrequired

The value is the tenancy parameter that Monime uses to determine which space the request is intended for.

Match:^spc-.*$
Length:length <= 64
Monime-Versionstring | nulloptional

Specifies which version of the Monime API will handle this request.

Available options:caph.2025-08-23caph.2025-06-20

Query Parameters

uvanstring | nulloptional

Filter by Universal Virtual Account Number (UVAN), a unique alias for the financial account.

Length:length <= 16
referencestring | nulloptional

Filter by external reference ID used to link the account with your internal system.

Length:length <= 64
withBalancebooleanoptional

If true, includes the balance of the financial accounts in the response.

limitintegeroptional

Maximum number of items to return in a single page. Must be between 1 and 50. Defaults to 10 if not specified.

Range:1 <= value <= 50
Default:10
afterstring | nulloptional

Pagination cursor for fetching the next page of results. Set this to the 'next' cursor value from a previous response to continue paginating forward.

Length:length <= 2000

Response

200 - application/json

OK

successbooleanoptional

Represents the status of the query operation, confirming if it was successful. This field is always true

messagesarray<unknown>optional

Contains a list of messages providing relevant information or feedback related to the query or operation

resultarray | nulloptional

The list of items in the response

paginationobjectoptional

The pagination info associated with the response